* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    max-width: 100%;
}
body {
    height: 100%;
    margin: 0;
    display: flex;
    flex-direction: column;
    background-image: url("../images/background.jpg");
    background-size: 100%;
    background-repeat: no-repeat;
}
html {
    height: 100%;
    margin: 0;
    display: flex;
    flex-direction: column;
}
@font-face {
    font-family: 'Poor Richard';
    src: url(../fonts/POORICH.TTF);
    font-weight: normal;
    font-style: normal;
    font-weight: normal;
}
@font-face {
    font-family: 'Century751 BT Roman';
    src: url(../fonts/Century751\ BT\ Roman.ttf);
    font-weight: normal;
    font-style: normal;
    font-weight: normal;
}
#pagina_contact {
    width: 100%;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    flex: 1;
    min-height: calc(100vh - 100px); /* Ajusta 100px al tamaño de tu footer */
}
#Phone::-webkit-outer-spin-button,
#Phone::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
#Phone {
    appearance: textfield; /* Propiedad estándar */
    -moz-appearance: textfield; /* Firefox */
    -webkit-appearance: textfield; /* Chrome, Safari, Edge */
}
/*--------------------------------------DIV General--------------------------------------*/

#screen_01_contact_f_1 {
    display: flex;
    align-items: center;
    justify-content: center; /* Opcional si también quieres centrar horizontalmente */
    min-height: 70vh; /* Evita que los elementos se monten sobre el footer */
}
#hamburguer_menu_section {
    display: none;
}
header {
    display: flex;
    justify-content: space-between;
    height: 12.8vh;

}
#logo_principal {
    margin: 0.3% 0 0px 0.3%;
    width: 8%;
    height: 100%;
}
#logo_principal img {
    width: 80%;
    height: auto;
    margin-top: 8%;
    margin-left:12%;
}
#menu_horizontal {
    margin: 30px 20px 0 0;
}
#menu_horizontal li {
    display: inline;
    font-size: 2vw;
    font-weight: normal;
    padding: 25px;
    margin: 0px 20px 0px 20px;
    font-family: 'Poor Richard';
    
}
#menu_horizontal a:link {
    color: black;
    text-decoration: underline;
}
#menu_horizontal a:hover {
    color: rgb(90, 135, 27)
}
h3 {
    font-family: 'Poor Richard';
    text-align: center;
    font-size: 2vw;
    margin-top: 11px;
    text-decoration: underline;
    font-weight: normal;
}
/*------------------------------------------------DIV Contacto + Información (IZQ+DER)------------------------------------------------*/
#box_contacto_c {
    justify-content: space-around;
    align-items: flex-start;
    flex-wrap: nowrap;
    width: 95%;
    height: auto;
    display: flex;
    flex-direction: row;
    gap: 20px;
    margin: 0 auto;
}
/*------------------------------------------------DIV Formulario Contacto------------------------------------------------*/
#contactanos_c {
    width: 48%;
    margin: auto;
}
#contactanos_c h3 {
    padding: 2%;
    text-align: left;
    font-size: 2vw;
    font-weight: normal;
}
/*------------------------------------------------Formulario Contacto------------------------------------------------*/
#formulario_contact_c {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    padding: 0px 10px;
    background: rgb(248, 247, 247);
    box-shadow: 0px 12px 30px 5px rgb(144, 144, 144);
    width: 100%;
    height: 50vh;
}
#formulario_contact_c input {
    font-family: 'Century751 BT';
    font-size: 1.2vw;
    padding: 0px 10px;
    border: 1px solid #ccc;
    border-radius: 5px;

}
#Name {
    width: 100%;
}
#City, #Phone {
    width: 48%;
}
#Mail, #Mensaje, #About_me {
    width: 100%;
}
#Mensaje {
    height: 100px;
}
#About_me {
    margin-bottom: 20px;
}
#submit_form {
    width: 100%;
    background-color: #CDE8EB;
    color: #2895a1;
    font-size: 1.5vw;
    border: none;
    cursor: pointer;
    padding: 10px;
    margin-top: 20px;
    display: block;
    text-align: center;
}
#submit_form:hover {
    background-color: #A2CBD0;
    color: #135B63;
}
/*------------------------------------------------ DIV Información Contacto ------------------------------------------------*/
#numeros_contacto_c {
    width: 48%;
    margin: auto;
    display: flex;
    flex-direction: column;
}
/*---------------------------------------- Imagen Información Contacto ----------------------------------------*/
#numeros_contacto_c img {
    width: 45%;
    margin: 2% auto 0 auto;
}
/*----------------------------------- DIV Números Información Contacto -----------------------------------*/
#card_numbermail {
    width: auto;
    box-shadow: 0px 12px 30px 5px rgb(144, 144, 144);
    background: rgb(248, 247, 247);
    display: flex;
    flex-direction: row;
    overflow: hidden;
}
#card_numbermail p {
    color: rgb(92, 92, 92);
    font-size: 1.5vw;
    font-family: Century751 BT;
}
/*----------------------------------- DIV Mail Contacto -----------------------------------*/
#mail_info {
    display: flex;
    margin: 0 2%;
    align-items: center;
    justify-content: left;
}
#mail_info a {
    margin: auto 0;
    text-decoration: none;
}
#mail_info img {
    margin: 2% 3%;
    width: 8%;
}
#mail_info p:hover{
    color:red;
    font-weight: bold;
}
/*----------------------------------- DIV Phone Contacto -----------------------------------*/
#phone_info {
    display: flex;
    margin: 0 2%;
    align-items: center;
    justify-content: left;
}
#phone_info a {
    margin: auto 0;
    text-decoration: none;
}
#phone_info img {
    margin: 2% 3% 2% 4%;
    width: 7%;
}
#phone_info p:hover{
    color:rgb(13, 170, 13);
    font-weight: bold;
}
/*------------------------------------------------Footer------------------------------------------------*/
footer{
    background-color: #f8f8f8;
    padding: 20px;
    text-align: center;
    width: 100%;
    margin-top: auto; /* Se queda en la parte inferior */
}
#follow_me_icons {
    height: 100%;
    width: 45%;
    display: flex;
    flex-direction: columns;
    align-items: center;
}
#follow_me_icons img {
    padding: 0 2% 0 5%;
    width: 16%;   
}
#follow_me_icons h6 {
    font-family: 'Poor Richard';
    font-size: 1.8vw;
    padding: 0 1% 0 10%;
    font-weight: normal;
}
#root_text {
    font-family: 'Poor Richard';
    font-size: 1.2vw;
    text-decoration: none;
    width: 45%;
    height: 100%;
    display: table;
}
#root_text ul {
    margin: 2% 0;
    list-style: none;
    padding: 0 0 0 40%;
    display: table-cell;
    vertical-align: middle;
    color: black;
}
#root_text li {
    margin: auto;
}
#root_text a {
    text-decoration: none;
}
#root_text li:hover{
    color: #9A6A6B;
}
#separador_logo_footer {
    width: 6%;
    margin: auto;
    text-align: center;
}
#separador_logo_footer img {
    height: 90%;
    margin: auto;
}
@media (max-width: 1700px){
    #box_contacto_c {
        width: 96.5%;
        gap: 10px;
    }
}
@media (max-width: 1400px){
    #box_contacto_c {
        width: 98%;
        gap: 0px;
    }
    #contactanos_c {
        width: 49%;
    }
    #numeros_contacto_c {
        width: 49%;
    }
    #formulario_contact_c {
        height: 40vh;
    }
}
@media (max-width: 1050px){
    #box_contacto_c {
        display: flex;
        flex-direction: column-reverse; /* Invierte el orden */
        align-items: center; /* Centra los elementos */
        height: auto; /* Ajusta la altura automáticamente */
        gap: 10px;
        padding: 10px;
        overflow: hidden; /* Evita que el contenido se salga */
    }
    #contactanos_c {
        width: 70%;
        height: auto;
    }
    #numeros_contacto_c {
        width: 55%;
        height: auto;
    }
    #formulario_contact_c {
        padding: 15px;
    }
}
@media (max-width: 560px) {
    #contenedor_principal {
        min-height: calc(100vh - 120px); /* Ajusta si el footer es más alto */
    }
}
@media (max-width:650px){
    #formulario_contact_c {
        padding: 7px;
    }
    #formulario_contact_c input {
        font-size: 1.6vw;
    }
}